package com.bankaudit.model;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_parameter_dtls_wrk")
public class MaintRatingParameterDtlsWrk implements Serializable{
   
	private static final long serialVersionUID = 6822895033780483460L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	   
	@Id
	@Column(name="rm_code")
	private String rmCode;
	
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="param_name")
	private String paramName;
	
	@Column(name="param_desc")
	private String paramDesc;
	
	@Column(name="param_dimension")
	private String paramDimension;

	@Column(name="param_mesaurement_type")
	private String paramMesaurementType;
	
	@Column(name="param_basis")
	private String paramBasis;
	
	@Column(name="param_calc_type")
	private String paramCalcType;
	
	@Column(name="param_weightage")
	private String paramWeightage;	
	
	@Column(name="remarks")
	private String remarks;	 
	
/*	@Column(name="guidance_note")
	private String guidanceNote;*/
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	 	 
	private transient String factor ;
		
	private transient List<String> maintRatingParameterInputsWrkList;
	 	 

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getRmCode() {
		return rmCode;
	}

	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getParamDesc() {
		return paramDesc;
	}

	public void setParamDesc(String paramDesc) {
		this.paramDesc = paramDesc;
	}

	public String getParamDimension() {
		return paramDimension;
	}

	public void setParamDimension(String paramDimension) {
		this.paramDimension = paramDimension;
	}

	public String getParamMesaurementType() {
		return paramMesaurementType;
	}

	public void setParamMesaurementType(String paramMesaurementType) {
		this.paramMesaurementType = paramMesaurementType;
	}

	public String getParamBasis() {
		return paramBasis;
	}

	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}

	public String getParamCalcType() {
		return paramCalcType;
	}

	public void setParamCalcType(String paramCalcType) {
		this.paramCalcType = paramCalcType;
	}

	public String getParamWeightage() {
		return paramWeightage;
	}

	public void setParamWeightage(String paramWeightage) {
		this.paramWeightage = paramWeightage;
	}
	
	public String getFactor() {
		return factor;
	}

	public void setFactor(String factor) {
		this.factor = factor;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}	

	/*public String getGuidanceNote() {
		return guidanceNote;
	}

	public void setGuidanceNote(String guidanceNote) {
		this.guidanceNote = guidanceNote;
	}*/

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public List<String> getMaintRatingParameterInputsWrkList() {
		return maintRatingParameterInputsWrkList;
	}

	public void setMaintRatingParameterInputsWrkList(List<String> maintRatingParameterInputsWrkList) {
		this.maintRatingParameterInputsWrkList = maintRatingParameterInputsWrkList;
	}
	
} 
